import{S as Yn,i as Zn,s as Gn,e as r,k as h,w,t as s,M as Jn,c as n,d as o,m as p,a as i,x as $,h as a,b as c,G as e,g,y as T,q as y,o as k,B as I,v as Qn,L as Do}from"../../chunks/vendor-hf-doc-builder.js";import{T as lo}from"../../chunks/Tip-hf-doc-builder.js";import{D as $e}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Vo}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Be}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as ei}from"../../chunks/PipelineTag-hf-doc-builder.js";function ti(x){let d,C,v,f,_;return f=new Vo({props:{code:`from transformers import CvtConfig, CvtModel

# Initializing a Cvt msft/cvt style configuration
configuration = CvtConfig()

# Initializing a model (with random weights) from the msft/cvt style configuration
model = CvtModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> CvtConfig, CvtModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Cvt msft/cvt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = CvtConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the msft/cvt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CvtModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),C=s("Example:"),v=h(),w(f.$$.fragment)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Example:"),m.forEach(o),v=p(l),$(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,C),g(l,v,m),T(f,l,m),_=!0},p:Do,i(l){_||(y(f.$$.fragment,l),_=!0)},o(l){k(f.$$.fragment,l),_=!1},d(l){l&&o(d),l&&o(v),I(f,l)}}}function oi(x){let d,C,v,f,_;return{c(){d=r("p"),C=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=r("code"),f=s("Module"),_=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(m,"CODE",{});var E=i(v);f=a(E,"Module"),E.forEach(o),_=a(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){g(l,d,m),e(d,C),e(d,v),e(v,f),e(d,_)},d(l){l&&o(d)}}}function si(x){let d,C,v,f,_;return f=new Vo({props:{code:`from transformers import AutoImageProcessor, CvtModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/cvt-13")
model = CvtModel.from_pretrained("microsoft/cvt-13")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, CvtModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CvtModel.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">384</span>, <span class="hljs-number">14</span>, <span class="hljs-number">14</span>]`}}),{c(){d=r("p"),C=s("Example:"),v=h(),w(f.$$.fragment)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Example:"),m.forEach(o),v=p(l),$(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,C),g(l,v,m),T(f,l,m),_=!0},p:Do,i(l){_||(y(f.$$.fragment,l),_=!0)},o(l){k(f.$$.fragment,l),_=!1},d(l){l&&o(d),l&&o(v),I(f,l)}}}function ai(x){let d,C,v,f,_;return{c(){d=r("p"),C=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=r("code"),f=s("Module"),_=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(m,"CODE",{});var E=i(v);f=a(E,"Module"),E.forEach(o),_=a(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){g(l,d,m),e(d,C),e(d,v),e(v,f),e(d,_)},d(l){l&&o(d)}}}function ri(x){let d,C,v,f,_;return f=new Vo({props:{code:`from transformers import AutoImageProcessor, CvtForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/cvt-13")
model = CvtForImageClassification.from_pretrained("microsoft/cvt-13")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, CvtForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CvtForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=r("p"),C=s("Example:"),v=h(),w(f.$$.fragment)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Example:"),m.forEach(o),v=p(l),$(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,C),g(l,v,m),T(f,l,m),_=!0},p:Do,i(l){_||(y(f.$$.fragment,l),_=!0)},o(l){k(f.$$.fragment,l),_=!1},d(l){l&&o(d),l&&o(v),I(f,l)}}}function ni(x){let d,C,v,f,_,l,m,E,G,V,F,z,M,O,J,A,Q,R;return{c(){d=r("p"),C=s("TF 2.0 models accepts two formats as inputs:"),v=h(),f=r("ul"),_=r("li"),l=s("having all inputs as keyword arguments (like PyTorch models), or"),m=h(),E=r("li"),G=s("having all inputs as a list, tuple or dict in the first positional arguments."),V=h(),F=r("p"),z=s("This second option is useful when using "),M=r("code"),O=s("tf.keras.Model.fit"),J=s(` method which currently requires having all the
tensors in the first argument of the model call function: `),A=r("code"),Q=s("model(inputs)"),R=s(".")},l(b){d=n(b,"P",{});var j=i(d);C=a(j,"TF 2.0 models accepts two formats as inputs:"),j.forEach(o),v=p(b),f=n(b,"UL",{});var q=i(f);_=n(q,"LI",{});var ae=i(_);l=a(ae,"having all inputs as keyword arguments (like PyTorch models), or"),ae.forEach(o),m=p(q),E=n(q,"LI",{});var re=i(E);G=a(re,"having all inputs as a list, tuple or dict in the first positional arguments."),re.forEach(o),q.forEach(o),V=p(b),F=n(b,"P",{});var P=i(F);z=a(P,"This second option is useful when using "),M=n(P,"CODE",{});var ne=i(M);O=a(ne,"tf.keras.Model.fit"),ne.forEach(o),J=a(P,` method which currently requires having all the
tensors in the first argument of the model call function: `),A=n(P,"CODE",{});var ie=i(A);Q=a(ie,"model(inputs)"),ie.forEach(o),R=a(P,"."),P.forEach(o)},m(b,j){g(b,d,j),e(d,C),g(b,v,j),g(b,f,j),e(f,_),e(_,l),e(f,m),e(f,E),e(E,G),g(b,V,j),g(b,F,j),e(F,z),e(F,M),e(M,O),e(F,J),e(F,A),e(A,Q),e(F,R)},d(b){b&&o(d),b&&o(v),b&&o(f),b&&o(V),b&&o(F)}}}function ii(x){let d,C,v,f,_;return{c(){d=r("p"),C=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=r("code"),f=s("Module"),_=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(m,"CODE",{});var E=i(v);f=a(E,"Module"),E.forEach(o),_=a(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){g(l,d,m),e(d,C),e(d,v),e(v,f),e(d,_)},d(l){l&&o(d)}}}function li(x){let d,C,v,f,_;return f=new Vo({props:{code:`from transformers import AutoImageProcessor, TFCvtModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/cvt-13")
model = TFCvtModel.from_pretrained("microsoft/cvt-13")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFCvtModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCvtModel.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),C=s("Examples:"),v=h(),w(f.$$.fragment)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Examples:"),m.forEach(o),v=p(l),$(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,C),g(l,v,m),T(f,l,m),_=!0},p:Do,i(l){_||(y(f.$$.fragment,l),_=!0)},o(l){k(f.$$.fragment,l),_=!1},d(l){l&&o(d),l&&o(v),I(f,l)}}}function di(x){let d,C,v,f,_,l,m,E,G,V,F,z,M,O,J,A,Q,R;return{c(){d=r("p"),C=s("TF 2.0 models accepts two formats as inputs:"),v=h(),f=r("ul"),_=r("li"),l=s("having all inputs as keyword arguments (like PyTorch models), or"),m=h(),E=r("li"),G=s("having all inputs as a list, tuple or dict in the first positional arguments."),V=h(),F=r("p"),z=s("This second option is useful when using "),M=r("code"),O=s("tf.keras.Model.fit"),J=s(` method which currently requires having all the
tensors in the first argument of the model call function: `),A=r("code"),Q=s("model(inputs)"),R=s(".")},l(b){d=n(b,"P",{});var j=i(d);C=a(j,"TF 2.0 models accepts two formats as inputs:"),j.forEach(o),v=p(b),f=n(b,"UL",{});var q=i(f);_=n(q,"LI",{});var ae=i(_);l=a(ae,"having all inputs as keyword arguments (like PyTorch models), or"),ae.forEach(o),m=p(q),E=n(q,"LI",{});var re=i(E);G=a(re,"having all inputs as a list, tuple or dict in the first positional arguments."),re.forEach(o),q.forEach(o),V=p(b),F=n(b,"P",{});var P=i(F);z=a(P,"This second option is useful when using "),M=n(P,"CODE",{});var ne=i(M);O=a(ne,"tf.keras.Model.fit"),ne.forEach(o),J=a(P,` method which currently requires having all the
tensors in the first argument of the model call function: `),A=n(P,"CODE",{});var ie=i(A);Q=a(ie,"model(inputs)"),ie.forEach(o),R=a(P,"."),P.forEach(o)},m(b,j){g(b,d,j),e(d,C),g(b,v,j),g(b,f,j),e(f,_),e(_,l),e(f,m),e(f,E),e(E,G),g(b,V,j),g(b,F,j),e(F,z),e(F,M),e(M,O),e(F,J),e(F,A),e(A,Q),e(F,R)},d(b){b&&o(d),b&&o(v),b&&o(f),b&&o(V),b&&o(F)}}}function ci(x){let d,C,v,f,_;return{c(){d=r("p"),C=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=r("code"),f=s("Module"),_=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(m,"CODE",{});var E=i(v);f=a(E,"Module"),E.forEach(o),_=a(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(l,m){g(l,d,m),e(d,C),e(d,v),e(v,f),e(d,_)},d(l){l&&o(d)}}}function fi(x){let d,C,v,f,_;return f=new Vo({props:{code:`from transformers import AutoImageProcessor, TFCvtForImageClassification
import tensorflow as tf
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/cvt-13")
model = TFCvtForImageClassification.from_pretrained("microsoft/cvt-13")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
logits = outputs.logits
# model predicts one of the 1000 ImageNet classes
predicted_class_idx = tf.math.argmax(logits, axis=-1)[0]
print("Predicted class:", model.config.id2label[int(predicted_class_idx)])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFCvtForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCvtForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/cvt-13&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[<span class="hljs-built_in">int</span>(predicted_class_idx)])`}}),{c(){d=r("p"),C=s("Examples:"),v=h(),w(f.$$.fragment)},l(l){d=n(l,"P",{});var m=i(d);C=a(m,"Examples:"),m.forEach(o),v=p(l),$(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,C),g(l,v,m),T(f,l,m),_=!0},p:Do,i(l){_||(y(f.$$.fragment,l),_=!0)},o(l){k(f.$$.fragment,l),_=!1},d(l){l&&o(d),l&&o(v),I(f,l)}}}function mi(x){let d,C,v,f,_,l,m,E,G,V,F,z,M,O,J,A,Q,R,b,j,q,ae,re,P,ne,ie,So,Pt,ws,Wo,Mt,co,$s,Ro,At,Ts,Ho,te,Ke,ys,qt,ks,Is,Fs,D,Es,Xe,xs,js,Nt,Ps,Ms,Lt,As,qs,zt,Ns,Ls,Ot,zs,Os,Ds,le,Vs,Ye,Ss,Ws,Ze,Rs,Hs,Uo,oe,Us,Ge,Bs,Ks,Je,Xs,Ys,Bo,de,Te,fo,Qe,Zs,mo,Gs,Ko,Dt,Js,Xo,et,Yo,Vt,se,St,Qs,ea,tt,ta,oa,ot,sa,aa,Zo,Wt,ra,Go,ce,ye,ho,st,na,po,ia,Jo,S,at,la,fe,da,Rt,ca,fa,rt,ma,ha,pa,me,ua,Ht,ga,va,Ut,_a,Ca,ba,ke,Qo,he,Ie,uo,nt,wa,go,$a,es,ee,it,Ta,lt,ya,dt,ka,Ia,Fa,H,ct,Ea,pe,xa,Bt,ja,Pa,vo,Ma,Aa,qa,Fe,Na,Ee,ts,ue,xe,_o,ft,La,Co,za,os,W,mt,Oa,bo,Da,Va,ht,Sa,pt,Wa,Ra,Ha,U,ut,Ua,ge,Ba,Kt,Ka,Xa,wo,Ya,Za,Ga,je,Ja,Pe,ss,ve,Me,$o,gt,Qa,To,er,as,N,vt,tr,yo,or,sr,_t,ar,Xt,rr,nr,ir,Ct,lr,bt,dr,cr,fr,Ae,mr,B,wt,hr,_e,pr,Yt,ur,gr,ko,vr,_r,Cr,qe,br,Ne,rs,Ce,Le,Io,$t,wr,Fo,$r,ns,L,Tt,Tr,Eo,yr,kr,yt,Ir,Zt,Fr,Er,xr,kt,jr,It,Pr,Mr,Ar,ze,qr,K,Ft,Nr,be,Lr,Gt,zr,Or,xo,Dr,Vr,Sr,Oe,Wr,De,is;return l=new Be({}),O=new Be({}),Qe=new Be({}),et=new ei({props:{pipeline:"image-classification"}}),st=new Be({}),at=new $e({props:{name:"class transformers.CvtConfig",anchor:"transformers.CvtConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_sizes",val:" = [7, 3, 3]"},{name:"patch_stride",val:" = [4, 2, 2]"},{name:"patch_padding",val:" = [2, 1, 1]"},{name:"embed_dim",val:" = [64, 192, 384]"},{name:"num_heads",val:" = [1, 3, 6]"},{name:"depth",val:" = [1, 2, 10]"},{name:"mlp_ratio",val:" = [4.0, 4.0, 4.0]"},{name:"attention_drop_rate",val:" = [0.0, 0.0, 0.0]"},{name:"drop_rate",val:" = [0.0, 0.0, 0.0]"},{name:"drop_path_rate",val:" = [0.0, 0.0, 0.1]"},{name:"qkv_bias",val:" = [True, True, True]"},{name:"cls_token",val:" = [False, False, True]"},{name:"qkv_projection_method",val:" = ['dw_bn', 'dw_bn', 'dw_bn']"},{name:"kernel_qkv",val:" = [3, 3, 3]"},{name:"padding_kv",val:" = [1, 1, 1]"},{name:"stride_kv",val:" = [2, 2, 2]"},{name:"padding_q",val:" = [1, 1, 1]"},{name:"stride_q",val:" = [1, 1, 1]"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CvtConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.CvtConfig.patch_sizes",description:`<strong>patch_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[7, 3, 3]</code>) &#x2014;
The kernel size of each encoder&#x2019;s patch embedding.`,name:"patch_sizes"},{anchor:"transformers.CvtConfig.patch_stride",description:`<strong>patch_stride</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[4, 2, 2]</code>) &#x2014;
The stride size of each encoder&#x2019;s patch embedding.`,name:"patch_stride"},{anchor:"transformers.CvtConfig.patch_padding",description:`<strong>patch_padding</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[2, 1, 1]</code>) &#x2014;
The padding size of each encoder&#x2019;s patch embedding.`,name:"patch_padding"},{anchor:"transformers.CvtConfig.embed_dim",description:`<strong>embed_dim</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[64, 192, 384]</code>) &#x2014;
Dimension of each of the encoder blocks.`,name:"embed_dim"},{anchor:"transformers.CvtConfig.num_heads",description:`<strong>num_heads</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 3, 6]</code>) &#x2014;
Number of attention heads for each attention layer in each block of the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.CvtConfig.depth",description:`<strong>depth</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 10]</code>) &#x2014;
The number of layers in each encoder block.`,name:"depth"},{anchor:"transformers.CvtConfig.mlp_ratios",description:`<strong>mlp_ratios</strong> (<code>List[float]</code>, <em>optional</em>, defaults to <code>[4.0, 4.0, 4.0, 4.0]</code>) &#x2014;
Ratio of the size of the hidden layer compared to the size of the input layer of the Mix FFNs in the
encoder blocks.`,name:"mlp_ratios"},{anchor:"transformers.CvtConfig.attention_drop_rate",description:`<strong>attention_drop_rate</strong> (<code>List[float]</code>, <em>optional</em>, defaults to <code>[0.0, 0.0, 0.0]</code>) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_drop_rate"},{anchor:"transformers.CvtConfig.drop_rate",description:`<strong>drop_rate</strong> (<code>List[float]</code>, <em>optional</em>, defaults to <code>[0.0, 0.0, 0.0]</code>) &#x2014;
The dropout ratio for the patch embeddings probabilities.`,name:"drop_rate"},{anchor:"transformers.CvtConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>List[float]</code>, <em>optional</em>, defaults to <code>[0.0, 0.0, 0.1]</code>) &#x2014;
The dropout probability for stochastic depth, used in the blocks of the Transformer encoder.`,name:"drop_path_rate"},{anchor:"transformers.CvtConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>[True, True, True]</code>) &#x2014;
The bias bool for query, key and value in attentions`,name:"qkv_bias"},{anchor:"transformers.CvtConfig.cls_token",description:`<strong>cls_token</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>[False, False, True]</code>) &#x2014;
Whether or not to add a classification token to the output of each of the last 3 stages.`,name:"cls_token"},{anchor:"transformers.CvtConfig.qkv_projection_method",description:`<strong>qkv_projection_method</strong> (<code>List[string]</code>, <em>optional</em>, defaults to [&#x201C;dw_bn&#x201D;, &#x201C;dw_bn&#x201D;, &#x201C;dw_bn&#x201D;]\`) &#x2014;
The projection method for query, key and value Default is depth-wise convolutions with batch norm. For
Linear projection use &#x201C;avg&#x201D;.`,name:"qkv_projection_method"},{anchor:"transformers.CvtConfig.kernel_qkv",description:`<strong>kernel_qkv</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 3]</code>) &#x2014;
The kernel size for query, key and value in attention layer`,name:"kernel_qkv"},{anchor:"transformers.CvtConfig.padding_kv",description:`<strong>padding_kv</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 1, 1]</code>) &#x2014;
The padding size for key and value in attention layer`,name:"padding_kv"},{anchor:"transformers.CvtConfig.stride_kv",description:`<strong>stride_kv</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[2, 2, 2]</code>) &#x2014;
The stride size for key and value in attention layer`,name:"stride_kv"},{anchor:"transformers.CvtConfig.padding_q",description:`<strong>padding_q</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 1, 1]</code>) &#x2014;
The padding size for query in attention layer`,name:"padding_q"},{anchor:"transformers.CvtConfig.stride_q",description:`<strong>stride_q</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 1, 1]</code>) &#x2014;
The stride size for query in attention layer`,name:"stride_q"},{anchor:"transformers.CvtConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.CvtConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/configuration_cvt.py#L29"}}),ke=new Oo({props:{anchor:"transformers.CvtConfig.example",$$slots:{default:[ti]},$$scope:{ctx:x}}}),nt=new Be({}),it=new $e({props:{name:"class transformers.CvtModel",anchor:"transformers.CvtModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.CvtModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig">CvtConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_cvt.py#L590"}}),ct=new $e({props:{name:"forward",anchor:"transformers.CvtModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CvtModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>CvtImageProcessor.__call__</code>
for details.`,name:"pixel_values"},{anchor:"transformers.CvtModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CvtModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_cvt.py#L605",returnDescription:`
<p>A <code>transformers.models.cvt.modeling_cvt.BaseModelOutputWithCLSToken</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig"
>CvtConfig</a>) and inputs.</p>
<ul>
<li><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</li>
<li><strong>cls_token_value</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 1, hidden_size)</code>) \u2014 Classification token at the output of the last layer of the model.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer
plus the initial embedding outputs.</li>
</ul>
`,returnType:`
<p><code>transformers.models.cvt.modeling_cvt.BaseModelOutputWithCLSToken</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fe=new lo({props:{$$slots:{default:[oi]},$$scope:{ctx:x}}}),Ee=new Oo({props:{anchor:"transformers.CvtModel.forward.example",$$slots:{default:[si]},$$scope:{ctx:x}}}),ft=new Be({}),mt=new $e({props:{name:"class transformers.CvtForImageClassification",anchor:"transformers.CvtForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CvtForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig">CvtConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_cvt.py#L652"}}),ut=new $e({props:{name:"forward",anchor:"transformers.CvtForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CvtForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>CvtImageProcessor.__call__</code>
for details.`,name:"pixel_values"},{anchor:"transformers.CvtForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CvtForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CvtForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_cvt.py#L667",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig"
>CvtConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),je=new lo({props:{$$slots:{default:[ai]},$$scope:{ctx:x}}}),Pe=new Oo({props:{anchor:"transformers.CvtForImageClassification.forward.example",$$slots:{default:[ri]},$$scope:{ctx:x}}}),gt=new Be({}),vt=new $e({props:{name:"class transformers.TFCvtModel",anchor:"transformers.TFCvtModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCvtModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig">CvtConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_tf_cvt.py#L789"}}),Ae=new lo({props:{$$slots:{default:[ni]},$$scope:{ctx:x}}}),wt=new $e({props:{name:"call",anchor:"transformers.TFCvtModel.call",parameters:[{name:"pixel_values",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCvtModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>CvtImageProcessor.__call__</code>
for details.`,name:"pixel_values"},{anchor:"transformers.TFCvtModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCvtModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCvtModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_tf_cvt.py#L795",returnDescription:`
<p>A <code>transformers.models.cvt.modeling_tf_cvt.TFBaseModelOutputWithCLSToken</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig"
>CvtConfig</a>) and inputs.</p>
<ul>
<li><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</li>
<li><strong>cls_token_value</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 1, hidden_size)</code>) \u2014 Classification token at the output of the last layer of the model.</li>
<li><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer plus
the initial embedding outputs.</li>
</ul>
`,returnType:`
<p><code>transformers.models.cvt.modeling_tf_cvt.TFBaseModelOutputWithCLSToken</code> or <code>tuple(tf.Tensor)</code></p>
`}}),qe=new lo({props:{$$slots:{default:[ii]},$$scope:{ctx:x}}}),Ne=new Oo({props:{anchor:"transformers.TFCvtModel.call.example",$$slots:{default:[li]},$$scope:{ctx:x}}}),$t=new Be({}),Tt=new $e({props:{name:"class transformers.TFCvtForImageClassification",anchor:"transformers.TFCvtForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCvtForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig">CvtConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_tf_cvt.py#L860"}}),ze=new lo({props:{$$slots:{default:[di]},$$scope:{ctx:x}}}),Ft=new $e({props:{name:"call",anchor:"transformers.TFCvtForImageClassification.call",parameters:[{name:"pixel_values",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCvtForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>CvtImageProcessor.__call__</code>
for details.`,name:"pixel_values"},{anchor:"transformers.TFCvtForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCvtForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCvtForImageClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCvtForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/cvt/modeling_tf_cvt.py#L878",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFImageClassifierOutputWithNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtConfig"
>CvtConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called
feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFImageClassifierOutputWithNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),Oe=new lo({props:{$$slots:{default:[ci]},$$scope:{ctx:x}}}),De=new Oo({props:{anchor:"transformers.TFCvtForImageClassification.call.example",$$slots:{default:[fi]},$$scope:{ctx:x}}}),{c(){d=r("meta"),C=h(),v=r("h1"),f=r("a"),_=r("span"),w(l.$$.fragment),m=h(),E=r("span"),G=s("Convolutional Vision Transformer (CvT)"),V=h(),F=r("h2"),z=r("a"),M=r("span"),w(O.$$.fragment),J=h(),A=r("span"),Q=s("Overview"),R=h(),b=r("p"),j=s("The CvT model was proposed in "),q=r("a"),ae=s("CvT: Introducing Convolutions to Vision Transformers"),re=s(" by Haiping Wu, Bin Xiao, Noel Codella, Mengchen Liu, Xiyang Dai, Lu Yuan and Lei Zhang. The Convolutional vision Transformer (CvT) improves the "),P=r("a"),ne=s("Vision Transformer (ViT)"),ie=s(" in performance and efficiency by introducing convolutions into ViT to yield the best of both designs."),So=h(),Pt=r("p"),ws=s("The abstract from the paper is the following:"),Wo=h(),Mt=r("p"),co=r("em"),$s=s(`We present in this paper a new architecture, named Convolutional vision Transformer (CvT), that improves Vision Transformer (ViT)
in performance and efficiency by introducing convolutions into ViT to yield the best of both designs. This is accomplished through
two primary modifications: a hierarchy of Transformers containing a new convolutional token embedding, and a convolutional Transformer
block leveraging a convolutional projection. These changes introduce desirable properties of convolutional neural networks (CNNs)
to the ViT architecture (\\ie shift, scale, and distortion invariance) while maintaining the merits of Transformers (\\ie dynamic attention,
global context, and better generalization). We validate CvT by conducting extensive experiments, showing that this approach achieves
state-of-the-art performance over other Vision Transformers and ResNets on ImageNet-1k, with fewer parameters and lower FLOPs. In addition,
performance gains are maintained when pretrained on larger datasets (\\eg ImageNet-22k) and fine-tuned to downstream tasks. Pre-trained on
ImageNet-22k, our CvT-W24 obtains a top-1 accuracy of 87.7\\% on the ImageNet-1k val set. Finally, our results show that the positional encoding,
a crucial component in existing Vision Transformers, can be safely removed in our model, simplifying the design for higher resolution vision tasks.`),Ro=h(),At=r("p"),Ts=s("Tips:"),Ho=h(),te=r("ul"),Ke=r("li"),ys=s("CvT models are regular Vision Transformers, but trained with convolutions. They outperform the "),qt=r("a"),ks=s("original model (ViT)"),Is=s(" when fine-tuned on ImageNet-1K and CIFAR-100."),Fs=h(),D=r("li"),Es=s("You can check out demo notebooks regarding inference as well as fine-tuning on custom data "),Xe=r("a"),xs=s("here"),js=s(" (you can just replace "),Nt=r("a"),Ps=s("ViTFeatureExtractor"),Ms=s(" by "),Lt=r("a"),As=s("AutoImageProcessor"),qs=s(" and "),zt=r("a"),Ns=s("ViTForImageClassification"),Ls=s(" by "),Ot=r("a"),zs=s("CvtForImageClassification"),Os=s(")."),Ds=h(),le=r("li"),Vs=s("The available checkpoints are either (1) pre-trained on "),Ye=r("a"),Ss=s("ImageNet-22k"),Ws=s(" (a collection of 14 million images and 22k classes) only, (2) also fine-tuned on ImageNet-22k or (3) also fine-tuned on "),Ze=r("a"),Rs=s("ImageNet-1k"),Hs=s(` (also referred to as ILSVRC 2012, a collection of 1.3 million
images and 1,000 classes).`),Uo=h(),oe=r("p"),Us=s("This model was contributed by "),Ge=r("a"),Bs=s("anugunj"),Ks=s(". The original code can be found "),Je=r("a"),Xs=s("here"),Ys=s("."),Bo=h(),de=r("h2"),Te=r("a"),fo=r("span"),w(Qe.$$.fragment),Zs=h(),mo=r("span"),Gs=s("Resources"),Ko=h(),Dt=r("p"),Js=s("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with CvT."),Xo=h(),w(et.$$.fragment),Yo=h(),Vt=r("ul"),se=r("li"),St=r("a"),Qs=s("CvtForImageClassification"),ea=s(" is supported by this "),tt=r("a"),ta=s("example script"),oa=s(" and "),ot=r("a"),sa=s("notebook"),aa=s("."),Zo=h(),Wt=r("p"),ra=s("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Go=h(),ce=r("h2"),ye=r("a"),ho=r("span"),w(st.$$.fragment),na=h(),po=r("span"),ia=s("CvtConfig"),Jo=h(),S=r("div"),w(at.$$.fragment),la=h(),fe=r("p"),da=s("This is the configuration class to store the configuration of a "),Rt=r("a"),ca=s("CvtModel"),fa=s(`. It is used to instantiate a CvT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the CvT
`),rt=r("a"),ma=s("microsoft/cvt-13"),ha=s(" architecture."),pa=h(),me=r("p"),ua=s("Configuration objects inherit from "),Ht=r("a"),ga=s("PretrainedConfig"),va=s(` and can be used to control the model outputs. Read the
documentation from `),Ut=r("a"),_a=s("PretrainedConfig"),Ca=s(" for more information."),ba=h(),w(ke.$$.fragment),Qo=h(),he=r("h2"),Ie=r("a"),uo=r("span"),w(nt.$$.fragment),wa=h(),go=r("span"),$a=s("CvtModel"),es=h(),ee=r("div"),w(it.$$.fragment),Ta=h(),lt=r("p"),ya=s(`The bare Cvt Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),dt=r("a"),ka=s("torch.nn.Module"),Ia=s(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Fa=h(),H=r("div"),w(ct.$$.fragment),Ea=h(),pe=r("p"),xa=s("The "),Bt=r("a"),ja=s("CvtModel"),Pa=s(" forward method, overrides the "),vo=r("code"),Ma=s("__call__"),Aa=s(" special method."),qa=h(),w(Fe.$$.fragment),Na=h(),w(Ee.$$.fragment),ts=h(),ue=r("h2"),xe=r("a"),_o=r("span"),w(ft.$$.fragment),La=h(),Co=r("span"),za=s("CvtForImageClassification"),os=h(),W=r("div"),w(mt.$$.fragment),Oa=h(),bo=r("p"),Da=s(`Cvt Model transformer with an image classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.`),Va=h(),ht=r("p"),Sa=s("This model is a PyTorch "),pt=r("a"),Wa=s("torch.nn.Module"),Ra=s(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ha=h(),U=r("div"),w(ut.$$.fragment),Ua=h(),ge=r("p"),Ba=s("The "),Kt=r("a"),Ka=s("CvtForImageClassification"),Xa=s(" forward method, overrides the "),wo=r("code"),Ya=s("__call__"),Za=s(" special method."),Ga=h(),w(je.$$.fragment),Ja=h(),w(Pe.$$.fragment),ss=h(),ve=r("h2"),Me=r("a"),$o=r("span"),w(gt.$$.fragment),Qa=h(),To=r("span"),er=s("TFCvtModel"),as=h(),N=r("div"),w(vt.$$.fragment),tr=h(),yo=r("p"),or=s("The bare Cvt Model transformer outputting raw hidden-states without any specific head on top."),sr=h(),_t=r("p"),ar=s("This model inherits from "),Xt=r("a"),rr=s("TFPreTrainedModel"),nr=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ir=h(),Ct=r("p"),lr=s("This model is also a "),bt=r("a"),dr=s("tf.keras.Model"),cr=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),fr=h(),w(Ae.$$.fragment),mr=h(),B=r("div"),w(wt.$$.fragment),hr=h(),_e=r("p"),pr=s("The "),Yt=r("a"),ur=s("TFCvtModel"),gr=s(" forward method, overrides the "),ko=r("code"),vr=s("__call__"),_r=s(" special method."),Cr=h(),w(qe.$$.fragment),br=h(),w(Ne.$$.fragment),rs=h(),Ce=r("h2"),Le=r("a"),Io=r("span"),w($t.$$.fragment),wr=h(),Fo=r("span"),$r=s("TFCvtForImageClassification"),ns=h(),L=r("div"),w(Tt.$$.fragment),Tr=h(),Eo=r("p"),yr=s(`Cvt Model transformer with an image classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.`),kr=h(),yt=r("p"),Ir=s("This model inherits from "),Zt=r("a"),Fr=s("TFPreTrainedModel"),Er=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xr=h(),kt=r("p"),jr=s("This model is also a "),It=r("a"),Pr=s("tf.keras.Model"),Mr=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ar=h(),w(ze.$$.fragment),qr=h(),K=r("div"),w(Ft.$$.fragment),Nr=h(),be=r("p"),Lr=s("The "),Gt=r("a"),zr=s("TFCvtForImageClassification"),Or=s(" forward method, overrides the "),xo=r("code"),Dr=s("__call__"),Vr=s(" special method."),Sr=h(),w(Oe.$$.fragment),Wr=h(),w(De.$$.fragment),this.h()},l(t){const u=Jn('[data-svelte="svelte-1phssyn"]',document.head);d=n(u,"META",{name:!0,content:!0}),u.forEach(o),C=p(t),v=n(t,"H1",{class:!0});var Et=i(v);f=n(Et,"A",{id:!0,class:!0,href:!0});var jo=i(f);_=n(jo,"SPAN",{});var Po=i(_);$(l.$$.fragment,Po),Po.forEach(o),jo.forEach(o),m=p(Et),E=n(Et,"SPAN",{});var Mo=i(E);G=a(Mo,"Convolutional Vision Transformer (CvT)"),Mo.forEach(o),Et.forEach(o),V=p(t),F=n(t,"H2",{class:!0});var xt=i(F);z=n(xt,"A",{id:!0,class:!0,href:!0});var Ao=i(z);M=n(Ao,"SPAN",{});var qo=i(M);$(O.$$.fragment,qo),qo.forEach(o),Ao.forEach(o),J=p(xt),A=n(xt,"SPAN",{});var No=i(A);Q=a(No,"Overview"),No.forEach(o),xt.forEach(o),R=p(t),b=n(t,"P",{});var we=i(b);j=a(we,"The CvT model was proposed in "),q=n(we,"A",{href:!0,rel:!0});var Lo=i(q);ae=a(Lo,"CvT: Introducing Convolutions to Vision Transformers"),Lo.forEach(o),re=a(we," by Haiping Wu, Bin Xiao, Noel Codella, Mengchen Liu, Xiyang Dai, Lu Yuan and Lei Zhang. The Convolutional vision Transformer (CvT) improves the "),P=n(we,"A",{href:!0});var zo=i(P);ne=a(zo,"Vision Transformer (ViT)"),zo.forEach(o),ie=a(we," in performance and efficiency by introducing convolutions into ViT to yield the best of both designs."),we.forEach(o),So=p(t),Pt=n(t,"P",{});var Rr=i(Pt);ws=a(Rr,"The abstract from the paper is the following:"),Rr.forEach(o),Wo=p(t),Mt=n(t,"P",{});var Hr=i(Mt);co=n(Hr,"EM",{});var Ur=i(co);$s=a(Ur,`We present in this paper a new architecture, named Convolutional vision Transformer (CvT), that improves Vision Transformer (ViT)
in performance and efficiency by introducing convolutions into ViT to yield the best of both designs. This is accomplished through
two primary modifications: a hierarchy of Transformers containing a new convolutional token embedding, and a convolutional Transformer
block leveraging a convolutional projection. These changes introduce desirable properties of convolutional neural networks (CNNs)
to the ViT architecture (\\ie shift, scale, and distortion invariance) while maintaining the merits of Transformers (\\ie dynamic attention,
global context, and better generalization). We validate CvT by conducting extensive experiments, showing that this approach achieves
state-of-the-art performance over other Vision Transformers and ResNets on ImageNet-1k, with fewer parameters and lower FLOPs. In addition,
performance gains are maintained when pretrained on larger datasets (\\eg ImageNet-22k) and fine-tuned to downstream tasks. Pre-trained on
ImageNet-22k, our CvT-W24 obtains a top-1 accuracy of 87.7\\% on the ImageNet-1k val set. Finally, our results show that the positional encoding,
a crucial component in existing Vision Transformers, can be safely removed in our model, simplifying the design for higher resolution vision tasks.`),Ur.forEach(o),Hr.forEach(o),Ro=p(t),At=n(t,"P",{});var Br=i(At);Ts=a(Br,"Tips:"),Br.forEach(o),Ho=p(t),te=n(t,"UL",{});var Jt=i(te);Ke=n(Jt,"LI",{});var ls=i(Ke);ys=a(ls,"CvT models are regular Vision Transformers, but trained with convolutions. They outperform the "),qt=n(ls,"A",{href:!0});var Kr=i(qt);ks=a(Kr,"original model (ViT)"),Kr.forEach(o),Is=a(ls," when fine-tuned on ImageNet-1K and CIFAR-100."),ls.forEach(o),Fs=p(Jt),D=n(Jt,"LI",{});var X=i(D);Es=a(X,"You can check out demo notebooks regarding inference as well as fine-tuning on custom data "),Xe=n(X,"A",{href:!0,rel:!0});var Xr=i(Xe);xs=a(Xr,"here"),Xr.forEach(o),js=a(X," (you can just replace "),Nt=n(X,"A",{href:!0});var Yr=i(Nt);Ps=a(Yr,"ViTFeatureExtractor"),Yr.forEach(o),Ms=a(X," by "),Lt=n(X,"A",{href:!0});var Zr=i(Lt);As=a(Zr,"AutoImageProcessor"),Zr.forEach(o),qs=a(X," and "),zt=n(X,"A",{href:!0});var Gr=i(zt);Ns=a(Gr,"ViTForImageClassification"),Gr.forEach(o),Ls=a(X," by "),Ot=n(X,"A",{href:!0});var Jr=i(Ot);zs=a(Jr,"CvtForImageClassification"),Jr.forEach(o),Os=a(X,")."),X.forEach(o),Ds=p(Jt),le=n(Jt,"LI",{});var Qt=i(le);Vs=a(Qt,"The available checkpoints are either (1) pre-trained on "),Ye=n(Qt,"A",{href:!0,rel:!0});var Qr=i(Ye);Ss=a(Qr,"ImageNet-22k"),Qr.forEach(o),Ws=a(Qt," (a collection of 14 million images and 22k classes) only, (2) also fine-tuned on ImageNet-22k or (3) also fine-tuned on "),Ze=n(Qt,"A",{href:!0,rel:!0});var en=i(Ze);Rs=a(en,"ImageNet-1k"),en.forEach(o),Hs=a(Qt,` (also referred to as ILSVRC 2012, a collection of 1.3 million
images and 1,000 classes).`),Qt.forEach(o),Jt.forEach(o),Uo=p(t),oe=n(t,"P",{});var eo=i(oe);Us=a(eo,"This model was contributed by "),Ge=n(eo,"A",{href:!0,rel:!0});var tn=i(Ge);Bs=a(tn,"anugunj"),tn.forEach(o),Ks=a(eo,". The original code can be found "),Je=n(eo,"A",{href:!0,rel:!0});var on=i(Je);Xs=a(on,"here"),on.forEach(o),Ys=a(eo,"."),eo.forEach(o),Bo=p(t),de=n(t,"H2",{class:!0});var ds=i(de);Te=n(ds,"A",{id:!0,class:!0,href:!0});var sn=i(Te);fo=n(sn,"SPAN",{});var an=i(fo);$(Qe.$$.fragment,an),an.forEach(o),sn.forEach(o),Zs=p(ds),mo=n(ds,"SPAN",{});var rn=i(mo);Gs=a(rn,"Resources"),rn.forEach(o),ds.forEach(o),Ko=p(t),Dt=n(t,"P",{});var nn=i(Dt);Js=a(nn,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with CvT."),nn.forEach(o),Xo=p(t),$(et.$$.fragment,t),Yo=p(t),Vt=n(t,"UL",{});var ln=i(Vt);se=n(ln,"LI",{});var jt=i(se);St=n(jt,"A",{href:!0});var dn=i(St);Qs=a(dn,"CvtForImageClassification"),dn.forEach(o),ea=a(jt," is supported by this "),tt=n(jt,"A",{href:!0,rel:!0});var cn=i(tt);ta=a(cn,"example script"),cn.forEach(o),oa=a(jt," and "),ot=n(jt,"A",{href:!0,rel:!0});var fn=i(ot);sa=a(fn,"notebook"),fn.forEach(o),aa=a(jt,"."),jt.forEach(o),ln.forEach(o),Zo=p(t),Wt=n(t,"P",{});var mn=i(Wt);ra=a(mn,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),mn.forEach(o),Go=p(t),ce=n(t,"H2",{class:!0});var cs=i(ce);ye=n(cs,"A",{id:!0,class:!0,href:!0});var hn=i(ye);ho=n(hn,"SPAN",{});var pn=i(ho);$(st.$$.fragment,pn),pn.forEach(o),hn.forEach(o),na=p(cs),po=n(cs,"SPAN",{});var un=i(po);ia=a(un,"CvtConfig"),un.forEach(o),cs.forEach(o),Jo=p(t),S=n(t,"DIV",{class:!0});var Ve=i(S);$(at.$$.fragment,Ve),la=p(Ve),fe=n(Ve,"P",{});var to=i(fe);da=a(to,"This is the configuration class to store the configuration of a "),Rt=n(to,"A",{href:!0});var gn=i(Rt);ca=a(gn,"CvtModel"),gn.forEach(o),fa=a(to,`. It is used to instantiate a CvT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the CvT
`),rt=n(to,"A",{href:!0,rel:!0});var vn=i(rt);ma=a(vn,"microsoft/cvt-13"),vn.forEach(o),ha=a(to," architecture."),to.forEach(o),pa=p(Ve),me=n(Ve,"P",{});var oo=i(me);ua=a(oo,"Configuration objects inherit from "),Ht=n(oo,"A",{href:!0});var _n=i(Ht);ga=a(_n,"PretrainedConfig"),_n.forEach(o),va=a(oo,` and can be used to control the model outputs. Read the
documentation from `),Ut=n(oo,"A",{href:!0});var Cn=i(Ut);_a=a(Cn,"PretrainedConfig"),Cn.forEach(o),Ca=a(oo," for more information."),oo.forEach(o),ba=p(Ve),$(ke.$$.fragment,Ve),Ve.forEach(o),Qo=p(t),he=n(t,"H2",{class:!0});var fs=i(he);Ie=n(fs,"A",{id:!0,class:!0,href:!0});var bn=i(Ie);uo=n(bn,"SPAN",{});var wn=i(uo);$(nt.$$.fragment,wn),wn.forEach(o),bn.forEach(o),wa=p(fs),go=n(fs,"SPAN",{});var $n=i(go);$a=a($n,"CvtModel"),$n.forEach(o),fs.forEach(o),es=p(t),ee=n(t,"DIV",{class:!0});var so=i(ee);$(it.$$.fragment,so),Ta=p(so),lt=n(so,"P",{});var ms=i(lt);ya=a(ms,`The bare Cvt Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),dt=n(ms,"A",{href:!0,rel:!0});var Tn=i(dt);ka=a(Tn,"torch.nn.Module"),Tn.forEach(o),Ia=a(ms,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ms.forEach(o),Fa=p(so),H=n(so,"DIV",{class:!0});var Se=i(H);$(ct.$$.fragment,Se),Ea=p(Se),pe=n(Se,"P",{});var ao=i(pe);xa=a(ao,"The "),Bt=n(ao,"A",{href:!0});var yn=i(Bt);ja=a(yn,"CvtModel"),yn.forEach(o),Pa=a(ao," forward method, overrides the "),vo=n(ao,"CODE",{});var kn=i(vo);Ma=a(kn,"__call__"),kn.forEach(o),Aa=a(ao," special method."),ao.forEach(o),qa=p(Se),$(Fe.$$.fragment,Se),Na=p(Se),$(Ee.$$.fragment,Se),Se.forEach(o),so.forEach(o),ts=p(t),ue=n(t,"H2",{class:!0});var hs=i(ue);xe=n(hs,"A",{id:!0,class:!0,href:!0});var In=i(xe);_o=n(In,"SPAN",{});var Fn=i(_o);$(ft.$$.fragment,Fn),Fn.forEach(o),In.forEach(o),La=p(hs),Co=n(hs,"SPAN",{});var En=i(Co);za=a(En,"CvtForImageClassification"),En.forEach(o),hs.forEach(o),os=p(t),W=n(t,"DIV",{class:!0});var We=i(W);$(mt.$$.fragment,We),Oa=p(We),bo=n(We,"P",{});var xn=i(bo);Da=a(xn,`Cvt Model transformer with an image classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.`),xn.forEach(o),Va=p(We),ht=n(We,"P",{});var ps=i(ht);Sa=a(ps,"This model is a PyTorch "),pt=n(ps,"A",{href:!0,rel:!0});var jn=i(pt);Wa=a(jn,"torch.nn.Module"),jn.forEach(o),Ra=a(ps,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ps.forEach(o),Ha=p(We),U=n(We,"DIV",{class:!0});var Re=i(U);$(ut.$$.fragment,Re),Ua=p(Re),ge=n(Re,"P",{});var ro=i(ge);Ba=a(ro,"The "),Kt=n(ro,"A",{href:!0});var Pn=i(Kt);Ka=a(Pn,"CvtForImageClassification"),Pn.forEach(o),Xa=a(ro," forward method, overrides the "),wo=n(ro,"CODE",{});var Mn=i(wo);Ya=a(Mn,"__call__"),Mn.forEach(o),Za=a(ro," special method."),ro.forEach(o),Ga=p(Re),$(je.$$.fragment,Re),Ja=p(Re),$(Pe.$$.fragment,Re),Re.forEach(o),We.forEach(o),ss=p(t),ve=n(t,"H2",{class:!0});var us=i(ve);Me=n(us,"A",{id:!0,class:!0,href:!0});var An=i(Me);$o=n(An,"SPAN",{});var qn=i($o);$(gt.$$.fragment,qn),qn.forEach(o),An.forEach(o),Qa=p(us),To=n(us,"SPAN",{});var Nn=i(To);er=a(Nn,"TFCvtModel"),Nn.forEach(o),us.forEach(o),as=p(t),N=n(t,"DIV",{class:!0});var Y=i(N);$(vt.$$.fragment,Y),tr=p(Y),yo=n(Y,"P",{});var Ln=i(yo);or=a(Ln,"The bare Cvt Model transformer outputting raw hidden-states without any specific head on top."),Ln.forEach(o),sr=p(Y),_t=n(Y,"P",{});var gs=i(_t);ar=a(gs,"This model inherits from "),Xt=n(gs,"A",{href:!0});var zn=i(Xt);rr=a(zn,"TFPreTrainedModel"),zn.forEach(o),nr=a(gs,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),gs.forEach(o),ir=p(Y),Ct=n(Y,"P",{});var vs=i(Ct);lr=a(vs,"This model is also a "),bt=n(vs,"A",{href:!0,rel:!0});var On=i(bt);dr=a(On,"tf.keras.Model"),On.forEach(o),cr=a(vs,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),vs.forEach(o),fr=p(Y),$(Ae.$$.fragment,Y),mr=p(Y),B=n(Y,"DIV",{class:!0});var He=i(B);$(wt.$$.fragment,He),hr=p(He),_e=n(He,"P",{});var no=i(_e);pr=a(no,"The "),Yt=n(no,"A",{href:!0});var Dn=i(Yt);ur=a(Dn,"TFCvtModel"),Dn.forEach(o),gr=a(no," forward method, overrides the "),ko=n(no,"CODE",{});var Vn=i(ko);vr=a(Vn,"__call__"),Vn.forEach(o),_r=a(no," special method."),no.forEach(o),Cr=p(He),$(qe.$$.fragment,He),br=p(He),$(Ne.$$.fragment,He),He.forEach(o),Y.forEach(o),rs=p(t),Ce=n(t,"H2",{class:!0});var _s=i(Ce);Le=n(_s,"A",{id:!0,class:!0,href:!0});var Sn=i(Le);Io=n(Sn,"SPAN",{});var Wn=i(Io);$($t.$$.fragment,Wn),Wn.forEach(o),Sn.forEach(o),wr=p(_s),Fo=n(_s,"SPAN",{});var Rn=i(Fo);$r=a(Rn,"TFCvtForImageClassification"),Rn.forEach(o),_s.forEach(o),ns=p(t),L=n(t,"DIV",{class:!0});var Z=i(L);$(Tt.$$.fragment,Z),Tr=p(Z),Eo=n(Z,"P",{});var Hn=i(Eo);yr=a(Hn,`Cvt Model transformer with an image classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.`),Hn.forEach(o),kr=p(Z),yt=n(Z,"P",{});var Cs=i(yt);Ir=a(Cs,"This model inherits from "),Zt=n(Cs,"A",{href:!0});var Un=i(Zt);Fr=a(Un,"TFPreTrainedModel"),Un.forEach(o),Er=a(Cs,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cs.forEach(o),xr=p(Z),kt=n(Z,"P",{});var bs=i(kt);jr=a(bs,"This model is also a "),It=n(bs,"A",{href:!0,rel:!0});var Bn=i(It);Pr=a(Bn,"tf.keras.Model"),Bn.forEach(o),Mr=a(bs,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),bs.forEach(o),Ar=p(Z),$(ze.$$.fragment,Z),qr=p(Z),K=n(Z,"DIV",{class:!0});var Ue=i(K);$(Ft.$$.fragment,Ue),Nr=p(Ue),be=n(Ue,"P",{});var io=i(be);Lr=a(io,"The "),Gt=n(io,"A",{href:!0});var Kn=i(Gt);zr=a(Kn,"TFCvtForImageClassification"),Kn.forEach(o),Or=a(io," forward method, overrides the "),xo=n(io,"CODE",{});var Xn=i(xo);Dr=a(Xn,"__call__"),Xn.forEach(o),Vr=a(io," special method."),io.forEach(o),Sr=p(Ue),$(Oe.$$.fragment,Ue),Wr=p(Ue),$(De.$$.fragment,Ue),Ue.forEach(o),Z.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(hi)),c(f,"id","convolutional-vision-transformer-cvt"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#convolutional-vision-transformer-cvt"),c(v,"class","relative group"),c(z,"id","overview"),c(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(z,"href","#overview"),c(F,"class","relative group"),c(q,"href","https://arxiv.org/abs/2103.15808"),c(q,"rel","nofollow"),c(P,"href","vit"),c(qt,"href","vit"),c(Xe,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/VisionTransformer"),c(Xe,"rel","nofollow"),c(Nt,"href","/docs/transformers/v4.26.1/en/model_doc/vit#transformers.ViTFeatureExtractor"),c(Lt,"href","/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor"),c(zt,"href","/docs/transformers/v4.26.1/en/model_doc/vit#transformers.ViTForImageClassification"),c(Ot,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtForImageClassification"),c(Ye,"href","http://www.image-net.org/"),c(Ye,"rel","nofollow"),c(Ze,"href","http://www.image-net.org/challenges/LSVRC/2012/"),c(Ze,"rel","nofollow"),c(Ge,"href","https://huggingface.co/anugunj"),c(Ge,"rel","nofollow"),c(Je,"href","https://github.com/microsoft/CvT"),c(Je,"rel","nofollow"),c(Te,"id","resources"),c(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Te,"href","#resources"),c(de,"class","relative group"),c(St,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtForImageClassification"),c(tt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(tt,"rel","nofollow"),c(ot,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(ot,"rel","nofollow"),c(ye,"id","transformers.CvtConfig"),c(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ye,"href","#transformers.CvtConfig"),c(ce,"class","relative group"),c(Rt,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtModel"),c(rt,"href","https://huggingface.co/microsoft/cvt-13"),c(rt,"rel","nofollow"),c(Ht,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),c(Ut,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ie,"id","transformers.CvtModel"),c(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ie,"href","#transformers.CvtModel"),c(he,"class","relative group"),c(dt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(dt,"rel","nofollow"),c(Bt,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtModel"),c(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xe,"id","transformers.CvtForImageClassification"),c(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xe,"href","#transformers.CvtForImageClassification"),c(ue,"class","relative group"),c(pt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(pt,"rel","nofollow"),c(Kt,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.CvtForImageClassification"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Me,"id","transformers.TFCvtModel"),c(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Me,"href","#transformers.TFCvtModel"),c(ve,"class","relative group"),c(Xt,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(bt,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(bt,"rel","nofollow"),c(Yt,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.TFCvtModel"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Le,"id","transformers.TFCvtForImageClassification"),c(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Le,"href","#transformers.TFCvtForImageClassification"),c(Ce,"class","relative group"),c(Zt,"href","/docs/transformers/v4.26.1/en/main_classes/model#transformers.TFPreTrainedModel"),c(It,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(It,"rel","nofollow"),c(Gt,"href","/docs/transformers/v4.26.1/en/model_doc/cvt#transformers.TFCvtForImageClassification"),c(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,u){e(document.head,d),g(t,C,u),g(t,v,u),e(v,f),e(f,_),T(l,_,null),e(v,m),e(v,E),e(E,G),g(t,V,u),g(t,F,u),e(F,z),e(z,M),T(O,M,null),e(F,J),e(F,A),e(A,Q),g(t,R,u),g(t,b,u),e(b,j),e(b,q),e(q,ae),e(b,re),e(b,P),e(P,ne),e(b,ie),g(t,So,u),g(t,Pt,u),e(Pt,ws),g(t,Wo,u),g(t,Mt,u),e(Mt,co),e(co,$s),g(t,Ro,u),g(t,At,u),e(At,Ts),g(t,Ho,u),g(t,te,u),e(te,Ke),e(Ke,ys),e(Ke,qt),e(qt,ks),e(Ke,Is),e(te,Fs),e(te,D),e(D,Es),e(D,Xe),e(Xe,xs),e(D,js),e(D,Nt),e(Nt,Ps),e(D,Ms),e(D,Lt),e(Lt,As),e(D,qs),e(D,zt),e(zt,Ns),e(D,Ls),e(D,Ot),e(Ot,zs),e(D,Os),e(te,Ds),e(te,le),e(le,Vs),e(le,Ye),e(Ye,Ss),e(le,Ws),e(le,Ze),e(Ze,Rs),e(le,Hs),g(t,Uo,u),g(t,oe,u),e(oe,Us),e(oe,Ge),e(Ge,Bs),e(oe,Ks),e(oe,Je),e(Je,Xs),e(oe,Ys),g(t,Bo,u),g(t,de,u),e(de,Te),e(Te,fo),T(Qe,fo,null),e(de,Zs),e(de,mo),e(mo,Gs),g(t,Ko,u),g(t,Dt,u),e(Dt,Js),g(t,Xo,u),T(et,t,u),g(t,Yo,u),g(t,Vt,u),e(Vt,se),e(se,St),e(St,Qs),e(se,ea),e(se,tt),e(tt,ta),e(se,oa),e(se,ot),e(ot,sa),e(se,aa),g(t,Zo,u),g(t,Wt,u),e(Wt,ra),g(t,Go,u),g(t,ce,u),e(ce,ye),e(ye,ho),T(st,ho,null),e(ce,na),e(ce,po),e(po,ia),g(t,Jo,u),g(t,S,u),T(at,S,null),e(S,la),e(S,fe),e(fe,da),e(fe,Rt),e(Rt,ca),e(fe,fa),e(fe,rt),e(rt,ma),e(fe,ha),e(S,pa),e(S,me),e(me,ua),e(me,Ht),e(Ht,ga),e(me,va),e(me,Ut),e(Ut,_a),e(me,Ca),e(S,ba),T(ke,S,null),g(t,Qo,u),g(t,he,u),e(he,Ie),e(Ie,uo),T(nt,uo,null),e(he,wa),e(he,go),e(go,$a),g(t,es,u),g(t,ee,u),T(it,ee,null),e(ee,Ta),e(ee,lt),e(lt,ya),e(lt,dt),e(dt,ka),e(lt,Ia),e(ee,Fa),e(ee,H),T(ct,H,null),e(H,Ea),e(H,pe),e(pe,xa),e(pe,Bt),e(Bt,ja),e(pe,Pa),e(pe,vo),e(vo,Ma),e(pe,Aa),e(H,qa),T(Fe,H,null),e(H,Na),T(Ee,H,null),g(t,ts,u),g(t,ue,u),e(ue,xe),e(xe,_o),T(ft,_o,null),e(ue,La),e(ue,Co),e(Co,za),g(t,os,u),g(t,W,u),T(mt,W,null),e(W,Oa),e(W,bo),e(bo,Da),e(W,Va),e(W,ht),e(ht,Sa),e(ht,pt),e(pt,Wa),e(ht,Ra),e(W,Ha),e(W,U),T(ut,U,null),e(U,Ua),e(U,ge),e(ge,Ba),e(ge,Kt),e(Kt,Ka),e(ge,Xa),e(ge,wo),e(wo,Ya),e(ge,Za),e(U,Ga),T(je,U,null),e(U,Ja),T(Pe,U,null),g(t,ss,u),g(t,ve,u),e(ve,Me),e(Me,$o),T(gt,$o,null),e(ve,Qa),e(ve,To),e(To,er),g(t,as,u),g(t,N,u),T(vt,N,null),e(N,tr),e(N,yo),e(yo,or),e(N,sr),e(N,_t),e(_t,ar),e(_t,Xt),e(Xt,rr),e(_t,nr),e(N,ir),e(N,Ct),e(Ct,lr),e(Ct,bt),e(bt,dr),e(Ct,cr),e(N,fr),T(Ae,N,null),e(N,mr),e(N,B),T(wt,B,null),e(B,hr),e(B,_e),e(_e,pr),e(_e,Yt),e(Yt,ur),e(_e,gr),e(_e,ko),e(ko,vr),e(_e,_r),e(B,Cr),T(qe,B,null),e(B,br),T(Ne,B,null),g(t,rs,u),g(t,Ce,u),e(Ce,Le),e(Le,Io),T($t,Io,null),e(Ce,wr),e(Ce,Fo),e(Fo,$r),g(t,ns,u),g(t,L,u),T(Tt,L,null),e(L,Tr),e(L,Eo),e(Eo,yr),e(L,kr),e(L,yt),e(yt,Ir),e(yt,Zt),e(Zt,Fr),e(yt,Er),e(L,xr),e(L,kt),e(kt,jr),e(kt,It),e(It,Pr),e(kt,Mr),e(L,Ar),T(ze,L,null),e(L,qr),e(L,K),T(Ft,K,null),e(K,Nr),e(K,be),e(be,Lr),e(be,Gt),e(Gt,zr),e(be,Or),e(be,xo),e(xo,Dr),e(be,Vr),e(K,Sr),T(Oe,K,null),e(K,Wr),T(De,K,null),is=!0},p(t,[u]){const Et={};u&2&&(Et.$$scope={dirty:u,ctx:t}),ke.$set(Et);const jo={};u&2&&(jo.$$scope={dirty:u,ctx:t}),Fe.$set(jo);const Po={};u&2&&(Po.$$scope={dirty:u,ctx:t}),Ee.$set(Po);const Mo={};u&2&&(Mo.$$scope={dirty:u,ctx:t}),je.$set(Mo);const xt={};u&2&&(xt.$$scope={dirty:u,ctx:t}),Pe.$set(xt);const Ao={};u&2&&(Ao.$$scope={dirty:u,ctx:t}),Ae.$set(Ao);const qo={};u&2&&(qo.$$scope={dirty:u,ctx:t}),qe.$set(qo);const No={};u&2&&(No.$$scope={dirty:u,ctx:t}),Ne.$set(No);const we={};u&2&&(we.$$scope={dirty:u,ctx:t}),ze.$set(we);const Lo={};u&2&&(Lo.$$scope={dirty:u,ctx:t}),Oe.$set(Lo);const zo={};u&2&&(zo.$$scope={dirty:u,ctx:t}),De.$set(zo)},i(t){is||(y(l.$$.fragment,t),y(O.$$.fragment,t),y(Qe.$$.fragment,t),y(et.$$.fragment,t),y(st.$$.fragment,t),y(at.$$.fragment,t),y(ke.$$.fragment,t),y(nt.$$.fragment,t),y(it.$$.fragment,t),y(ct.$$.fragment,t),y(Fe.$$.fragment,t),y(Ee.$$.fragment,t),y(ft.$$.fragment,t),y(mt.$$.fragment,t),y(ut.$$.fragment,t),y(je.$$.fragment,t),y(Pe.$$.fragment,t),y(gt.$$.fragment,t),y(vt.$$.fragment,t),y(Ae.$$.fragment,t),y(wt.$$.fragment,t),y(qe.$$.fragment,t),y(Ne.$$.fragment,t),y($t.$$.fragment,t),y(Tt.$$.fragment,t),y(ze.$$.fragment,t),y(Ft.$$.fragment,t),y(Oe.$$.fragment,t),y(De.$$.fragment,t),is=!0)},o(t){k(l.$$.fragment,t),k(O.$$.fragment,t),k(Qe.$$.fragment,t),k(et.$$.fragment,t),k(st.$$.fragment,t),k(at.$$.fragment,t),k(ke.$$.fragment,t),k(nt.$$.fragment,t),k(it.$$.fragment,t),k(ct.$$.fragment,t),k(Fe.$$.fragment,t),k(Ee.$$.fragment,t),k(ft.$$.fragment,t),k(mt.$$.fragment,t),k(ut.$$.fragment,t),k(je.$$.fragment,t),k(Pe.$$.fragment,t),k(gt.$$.fragment,t),k(vt.$$.fragment,t),k(Ae.$$.fragment,t),k(wt.$$.fragment,t),k(qe.$$.fragment,t),k(Ne.$$.fragment,t),k($t.$$.fragment,t),k(Tt.$$.fragment,t),k(ze.$$.fragment,t),k(Ft.$$.fragment,t),k(Oe.$$.fragment,t),k(De.$$.fragment,t),is=!1},d(t){o(d),t&&o(C),t&&o(v),I(l),t&&o(V),t&&o(F),I(O),t&&o(R),t&&o(b),t&&o(So),t&&o(Pt),t&&o(Wo),t&&o(Mt),t&&o(Ro),t&&o(At),t&&o(Ho),t&&o(te),t&&o(Uo),t&&o(oe),t&&o(Bo),t&&o(de),I(Qe),t&&o(Ko),t&&o(Dt),t&&o(Xo),I(et,t),t&&o(Yo),t&&o(Vt),t&&o(Zo),t&&o(Wt),t&&o(Go),t&&o(ce),I(st),t&&o(Jo),t&&o(S),I(at),I(ke),t&&o(Qo),t&&o(he),I(nt),t&&o(es),t&&o(ee),I(it),I(ct),I(Fe),I(Ee),t&&o(ts),t&&o(ue),I(ft),t&&o(os),t&&o(W),I(mt),I(ut),I(je),I(Pe),t&&o(ss),t&&o(ve),I(gt),t&&o(as),t&&o(N),I(vt),I(Ae),I(wt),I(qe),I(Ne),t&&o(rs),t&&o(Ce),I($t),t&&o(ns),t&&o(L),I(Tt),I(ze),I(Ft),I(Oe),I(De)}}}const hi={local:"convolutional-vision-transformer-cvt",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.CvtConfig",title:"CvtConfig"},{local:"transformers.CvtModel",title:"CvtModel"},{local:"transformers.CvtForImageClassification",title:"CvtForImageClassification"},{local:"transformers.TFCvtModel",title:"TFCvtModel"},{local:"transformers.TFCvtForImageClassification",title:"TFCvtForImageClassification"}],title:"Convolutional Vision Transformer (CvT)"};function pi(x){return Qn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $i extends Yn{constructor(d){super();Zn(this,d,pi,mi,Gn,{})}}export{$i as default,hi as metadata};
